Bug 502964 - Firefox Java Dependancy
Firefox Java Dependancy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 20:36 EDT by Stephen Thorne
Modified: 2009-06-26 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 09:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Thorne 2009-05-27 20:36:34 EDT
Description of problem:
I upgraded firefox with 'yum install firefox' and the Java application I run in my browser to access a IP-KVM stopped working

Version-Release number of selected component (if applicable):

java-1.6.0-openjdk-1.6.0.0-19.b14.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-19.b14.fc11.x86_64
java-1.6.0-openjdk-1.6.0.0-20.b14.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-20.b14.fc11.x86_64
firefox-3.1-0.11.beta3.fc11.x86_64
firefox-3.5-0.20.beta4.fc11.x86_64

How reproducible:


Steps to Reproduce:
1. Install java-1.6.0-openjdk-1.6.0.0-19.b14.fc11.x86_64
2. Install java-1.6.0-openjdk-plugin-1.6.0.0-19.b14.fc11.x86_64
3. Install firefox-3.5-0.20.beta4.fc11.x86_64
4. ... go to a webpage that uses java I guess.

Actual results:
Java applet doesn't work. These messages are emitted when run from a terminal:

FoxyProxy settingsDir = /home/sthorne/.mozilla/firefox/lq8qgj2c.default
IcedTeaPlugin.cc:3685: Error: create process
IcedTeaPlugin.cc:1660: Error: started appletviewer

(firefox:6209): GLib-CRITICAL **: g_io_channel_write_chars: assertion `channel != NULL' failed
IcedTeaPlugin.cc:3894: Error: Failed to write bytes to output channel

(firefox:6209): GLib-CRITICAL **: g_io_channel_flush: assertion `channel != NULL' failed
IcedTeaPlugin.cc:3908: Error: Failed to flush bytes to output channel

Expected results:
Java applet works.
Comment 1 Stephen Thorne 2009-05-27 20:37:28 EDT
I didn't mention, installing later versions of java fix the problem.

These resolve the problem:
java-1.6.0-openjdk-1.6.0.0-20.b14.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-20.b14.fc11.x86_64
Comment 2 Bug Zapper 2009-06-09 12:42:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Martin Stransky 2009-06-26 09:59:16 EDT
So. it's already fixed by the latest Java package, right?

Note You need to log in before you can comment on or make changes to this bug.